Index: utils/tools/DOMAINcfg/src/par_oce.f90
===================================================================
--- utils/tools/DOMAINcfg/src/par_oce.f90	(revision 14606)
+++ utils/tools/DOMAINcfg/src/par_oce.f90	(revision 14623)
@@ -28,5 +28,5 @@
    !!                   namcfg namelist parameters
    !!----------------------------------------------------------------------
-   LOGICAL       ::   ln_read_cfg = .FALSE.      !: (=T) read the domain configuration file or (=F) not
+   LOGICAL       ::   ln_read_cfg      !: (=T) read the domain configuration file or (=F) not
    CHARACTER(lc) ::      cn_domcfg        !: filename the configuration file to be read
    LOGICAL       ::   ln_write_cfg     !: (=T) create the domain configuration file
@@ -44,4 +44,8 @@
    !! Domain Matrix size 
    !!---------------------------------------------------------------------
+
+   ! time dimension
+   INTEGER, PUBLIC, PARAMETER :: jpt = 3    !: time dimension
+
    ! global domain size               !!! * total computational domain *
    INTEGER       ::   jpiglo           !: 1st dimension of global domain --> i-direction
@@ -85,6 +89,14 @@
    INTEGER, PUBLIC, PARAMETER ::   jpr2di = 0   !: number of columns for extra outer halo 
    INTEGER, PUBLIC, PARAMETER ::   jpr2dj = 0   !: number of rows    for extra outer halo 
-   INTEGER, PUBLIC, PARAMETER ::   nn_hls = 1   !: halo width (applies to both rows and columns)
 
+   ! halo with and starting/inding DO-loop indices
+   INTEGER, PUBLIC ::   nn_hls   !: halo width (applies to both rows and columns)
+   INTEGER, PUBLIC ::   Nis0, Nis1, Nis1nxt2, Nis2   !: start I-index (_0: without halo, _1 or _2: with 1 or 2 halos)
+   INTEGER, PUBLIC ::   Nie0, Nie1, Nie1nxt2, Nie2   !: end   I-index (_0: without halo, _1 or _2: with 1 or 2 halos)
+   INTEGER, PUBLIC ::   Njs0, Njs1, Njs1nxt2, Njs2   !: start J-index (_0: without halo, _1 or _2: with 1 or 2 halos)
+   INTEGER, PUBLIC ::   Nje0, Nje1, Nje1nxt2, Nje2   !: end   J-index (_0: without halo, _1 or _2: with 1 or 2 halos)
+   INTEGER, PUBLIC ::   Ni_0, Nj_0, Ni_1, Nj_1, Ni_2, Nj_2   !: domain size (_0: without halo, _1 or _2: with 1 or 2 halos)
+   INTEGER, PUBLIC ::   Ni0glo, Nj0glo
+   
    !!----------------------------------------------------------------------
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
